#ifndef EXPORT_H
#define EXPORT_H
#include <vector>
#include <cmath>
#include <wx/wx.h>
#include <wx/file.h>
#include <iostream>
#include <fstream>
#include <string>

using namespace std;

class exportRaster
{
    public:
        exportRaster();
        ~exportRaster();
        void setRasterData(vector<double> &xRasData, vector<double> &yRasData, vector<double> &zRasData);
        void writeGridFile(string wxStrPathResFile, long nCols, long nRows, double xRasMin, double yRasMin, double rasWidth);
    protected:
    private:
        vector<double> xRaster;
        vector<double> yRaster;
        vector<double> zRaster;
};

#endif // EXPORT_H
